<?php 
	
	$user = cmsUser::getInstance();

	$this->renderChild('item_header', array(
		'item' => $item,
		'ctype' => $ctype,
		'is_only_breadcrumb' => true
	));

	$this->addBreadcrumb(LANG_PLACES_ITEM_TAB_EVENTS, $this->href_to('events', $item['id']));
	$this->addBreadcrumb($event['title']);
	
	$this->setPageTitle($event['title']);
	
	$is_own_place = $item['user_id'] == $user->id;
	$is_own_entry = $event['user_id'] == $user->id;
	
	$is_can_edit = cmsUser::isAllowed($ctype['name'], 'edit_events', 'all') || 
				   (cmsUser::isAllowed($ctype['name'], 'edit_events', 'own_places') && $is_own_place) ||
				   (cmsUser::isAllowed($ctype['name'], 'edit_events', 'own') && $is_own_entry);	
	
	$is_can_delete = cmsUser::isAllowed($ctype['name'], 'delete_events', 'all') || 
				   (cmsUser::isAllowed($ctype['name'], 'delete_events', 'own_places') && $is_own_place) ||
				   (cmsUser::isAllowed($ctype['name'], 'delete_events', 'own') && $is_own_entry);	
	
	if ($is_can_edit){
		$this->addToolButton(array(
			'class' => 'edit',
			'title' => LANG_PLACES_EVENTS_EDIT,
			'href'  => $this->href_to('edit_event', $event['id'])
		));		
	}
	
	if ($is_can_delete){
		$this->addToolButton(array(
			'class' => 'delete',
			'title' => LANG_PLACES_EVENTS_DELETE,
			'href'  => $this->href_to('delete_event', $event['id']),
			'onclick' => "if(!confirm('".LANG_PLACES_EVENTS_DELETE_CONFIRM."')){ return false; }"
		));		
	}
	
?>

<h1><?php html($event['title']); ?></h1>

<div class="maps-news-entry-full">	
	<div class="body">
		<div class="event-date">
			<?php echo LANG_PLACES_EVENTS_START; ?>:				
			<span><?php echo html_date_time($event['date_start']); ?></span>
			<?php if ($event['date_end']) { ?>
				<?php echo LANG_PLACES_EVENTS_END; ?>:				
				<span><?php echo html_date($event['date_end']); ?></span>				
			<?php } ?>
			<?php if ($event['price']) { ?>
				<?php echo LANG_PLACES_EVENTS_COST; ?>:				
				<span><?php echo LANG_FROM . ' ' . $event['price'] . ' ' . $this->controller->options['events_currency']; ?></span>				
			<?php } ?>
		</div>				
		<div class="content">
			<?php if ($event['image']) { ?>
				<div class="image">
					<a href="<?php echo html_image_src($event['image'], 'big', true); ?>" class="ajax-modal">			
						<?php echo html_image($event['image'], 'normal'); ?>			
					</a>
				</div>		
			<?php } ?>				
			<?php echo $event['content']; ?>
		</div>		
		<div class="details">		
			<span class="date"><?php echo html_date_time($event['date_pub']); ?></span>
			<a href="<?php echo href_to('users', $event['user_id']); ?>"><?php echo $event['user']['nickname']; ?></a> 			
		</div>
	</div>				
</div>

<div class="news-target gui-panel">	
	<?php $url = href_to_abs($ctype['name'], $item['slug'] . '.html#marker-' . $event['marker_id'] );	?>
	<div class="maps-balloon">
		<table>
			<tr>
				<?php if (!empty($item['photo'])){ ?>
					<td class="image">
						<a href="<?php echo $url; ?>"><?php echo html_image($item['photo'], 'small'); ?></a>
					</td>
				<?php } ?>
				<td class="details">
					<div class="title">
						<a href="<?php echo $url; ?>"><?php html($item['title']); ?></a>
					</div>
					<div class="address">
						<?php html($marker['address']); ?>
					</div>
					<?php if ($marker['contacts']){ ?>
						<div class="contacts">						
							<?php $this->renderChild('contacts', array('contacts'=>$marker['contacts'])); ?>						
						</div>		
					<?php } ?>
				</td>
			</tr>
		</table>
	</div>
</div>

<?php if ($comments_widget) { echo $comments_widget; } ?>
